=begin pod

=TITLE class X::Syntax::Variable::Numeric

    class X::Syntax::Variable::Numeric does X::Syntax { }

Syntax error thrown when trying to declare numeric symbols.

For example

    my @101;

dies with

    ===SORRY!===
    Cannot declare a numeric variable

=head1 Methods

=head2 what

    method what returns Str:D

Returns a verbal description of the kind of symbol that was declared (variable,
parameter, attribute).

=end pod
